﻿# Tool dependencies

# The following tools must be installed on the provisioning computer:
#   Azure.psd1 - Part of Windows Azure PowerShell, which can be downloaded from http://www.windowsazure.com/en-us/manage/downloads/ (select "install" under Windows)
#   mage.exe - Part of the Microsoft Windows SDK for Windows 7 and .NET Framework 4, which can be downloaded from http://www.microsoft.com/en-us/download/details.aspx?displaylang=en&id=8279. This is included with Windows 8 and Windows Server 2012. 
#   winhttpcertcfg.exe - The Microsoft Windows HTTP Services (WinHTTP) Certificate Configuration Tool. Available at http://www.microsoft.com/en-us/download/details.aspx?id=19801
#   makecert.exe - The Certificate Creation tool to generate x.509 certificates for testing purpose. This tool is available as part of the Windows SDK, which you can download from http://msdn.microsoft.com/is-is/windows/desktop/aa904949.
# The following variables specify the path and file name of the tools.
$Global:MageExeFile = Join-Path ${env:ProgramFiles(x86)} 'Microsoft SDKs\Windows\v8.1A\bin\NETFX 4.5.1 Tools\mage.exe'
$Global:WinHttpCertCfgExeFile = Join-Path ${env:ProgramFiles(x86)} 'Windows Resource Kits\Tools\winhttpcertcfg.exe'

# Windows PowerShell includes a set of variables that enable you to customize its behavior.
# Get help on all PowerShell preference parameters by issuing: Get-Help about_Preference_Variables 
$verbosePreference = 'Continue'
# To not display the verbose message and continue executing, use 'SilentlyContinue' (default PowerShell behavior)
$errorActionPreference = 'Continue'
# To stop execution on first error, use 'Stop' (default value is 'Continue')
# To display the error message and ask you whether you want to continue, use 'Inquire'
